#!/bin/sh

# preflight.sh
# ValhallaRoom
#
# Created by Sean Costello on 9/13/11.
# Copyright 2011 Valhalla DSP, LLC. All rights reserved.

echo "preflight..."

roomAU="/Library/Audio/Plug-Ins/Components/ValhallaRoom.component"
roomAU64="/Library/Audio/Plug-Ins/Components/ValhallaRoomAU64.component"
roomVST="/Library/Audio/Plug-Ins/VST/ValhallaRoom.vst"
roomVST64="/Library/Audio/Plug-Ins/VST/ValhallaRoom_x64.vst"
roomRTAS="/Library/Application Support/Digidesign/Plug-Ins/ValhallaRoom.dpm"
roomAAX="/Library/Application Support/Avid/Audio/Plug-Ins/ValhallaRoom.aaxplugin"

if [ -e "$roomAU" ]; then
	echo Moving "$roomAU" to trash.
	cp -r "$roomAU" ~/.Trash;
	rm -rf "$roomAU"
fi

if [ -e "$roomAU64" ]; then
	echo Moving "$roomAU64" to trash.
	cp -r "$roomAU64" ~/.Trash;
	rm -rf "$roomAU64"
fi

if [ -e "$roomVST" ]; then
	echo Moving "$roomVST" to trash.
	cp -r "$roomVST" ~/.Trash;
	rm -rf "$roomVST"
fi

if [ -e "$roomVST64" ]; then
    echo Moving "$roomVST64" to trash.
    cp -r "$roomVST64" ~/.Trash;
    rm -rf "$roomVST64"
fi

if [ -e "$roomRTAS" ]; then
	echo Moving "$roomRTAS" to trash.
	cp -r "$roomRTAS" ~/.Trash;
	rm -rf "$roomRTAS"
fi

if [ -e "$roomAAX" ]; then
    echo Moving "$roomAAX" to trash.
    cp -r "$roomAAX" ~/.Trash;
    rm -rf "$roomAAX"
fi